Get Metrics Export Status

Get Metrics Export Status
Gets the status of an export request

Retrieves the current status of a previously initiated metrics export request.

Request
URI
GET
https://{api_host}/metrics/export/{request-id}/status
COPY
Path Parameters
string
request-id
Required  

The ID of the export request.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MetricsExportStatusResponse of type(s) application/json
{
    "id": "string",
    "status": "string",
    "format": "string",
    "download_url": "string",
    "file_size": 0,
    "status_message": "string",
    "requested_at": 0,
    "expires_at": 0,
    "request": {}
}
string
id
Optional

The ID of the export request.

string
status
Optional

The status of the export request.

Enumeration: REQUESTED, IN_PROGRESS, READY, ERROR, EXPIRED
string
format
Optional

The format of the exported data.

string
download_url
Optional

The URL to download the exported file, if the status is READY.

integer As int64 As int64
file_size
Optional

The size of the exported file in bytes, if the status is READY.

string
status_message
Optional

Status message providing additional details about the export request. Contains error details if the export failed.

integer As int64 As int64
requested_at
Optional

Timestamp in milliseconds since epoch.

integer As int64 As int64
expires_at
Optional

Timestamp in milliseconds since epoch.

object
request
Optional

The original export request parameters (either MetricsTimeSeriesExportRequest or MetricsPointInTimeExportRequest).


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error Response

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/metrics/export/{request-id}/status